org.apache.synapse.transport.netty.config

## Class TargetConfiguration

- java.lang.Object
- - org.apache.synapse.transport.netty.config.BaseConfiguration
  - - org.apache.synapse.transport.netty.config.TargetConfiguration

-     public class TargetConfiguration
      extends BaseConfiguration

  This class stores the configurations specific to the Sender.

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.transport.netty.config.BaseConfiguration

      `configurationContext, preserveHttpHeaders, preserveServerHeader, preserveUserAgentHeader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TargetConfiguration(org.apache.axis2.context.ConfigurationContext configurationContext, org.apache.axis2.description.TransportOutDescription transportOutDescription)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `build()`
    `int` | `getClientRequestMaxEntityBodySize()`
    `int` | `getClientRequestMaxHeaderSize()`
    `int` | `getClientRequestMaxStatusLineLength()`
    `ClientSSLConfigurationBuilder` | `getClientSSLConfigurationBuilder()`
    `java.util.List<org.apache.synapse.commons.handlers.MessagingHandler>` | `getMessagingHandlers()`
    `int` | `getSocketTimeout()`
    `org.apache.axis2.description.TransportOutDescription` | `getTransportOutDescription()`
    `boolean` | `isHttpTraceLogEnabled()`
    `boolean` | `isRequestLimitsValidationEnabled()`
    `void` | `setClientSSLConfigurationBuilder(ClientSSLConfigurationBuilder clientSSLConfigurationBuilder)`
    `void` | `setMessagingHandlers(java.util.List<org.apache.synapse.commons.handlers.MessagingHandler> messagingHandlers)`
    `void` | `setRequestLimitsValidationEnabled(boolean requestLimitsValidationEnabled)`
    `void` | `setTransportOutDescription(org.apache.axis2.description.TransportOutDescription transportOutDescription)`

    - ### Methods inherited from class org.apache.synapse.transport.netty.config.BaseConfiguration

      `getConfigurationContext, getPreserveHttpHeaders, getWorkerPool, isPreserveHttpHeader, populatePreserveHTTPHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TargetConfiguration

          public TargetConfiguration(org.apache.axis2.context.ConfigurationContext configurationContext,
                                     org.apache.axis2.description.TransportOutDescription transportOutDescription)

  - ### Method Detail

    - #### build

          public void build()
                     throws org.apache.axis2.AxisFault

      Overrides:
        `build` in class `BaseConfiguration`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### getTransportOutDescription

          public org.apache.axis2.description.TransportOutDescription getTransportOutDescription()

    - #### setTransportOutDescription

          public void setTransportOutDescription(org.apache.axis2.description.TransportOutDescription transportOutDescription)

    - #### isHttpTraceLogEnabled

          public boolean isHttpTraceLogEnabled()

    - #### isRequestLimitsValidationEnabled

          public boolean isRequestLimitsValidationEnabled()

    - #### setRequestLimitsValidationEnabled

          public void setRequestLimitsValidationEnabled(boolean requestLimitsValidationEnabled)

    - #### getClientRequestMaxStatusLineLength

          public int getClientRequestMaxStatusLineLength()

    - #### getClientRequestMaxHeaderSize

          public int getClientRequestMaxHeaderSize()

    - #### getClientRequestMaxEntityBodySize

          public int getClientRequestMaxEntityBodySize()

    - #### getSocketTimeout

          public int getSocketTimeout()

    - #### getClientSSLConfigurationBuilder

          public ClientSSLConfigurationBuilder getClientSSLConfigurationBuilder()

    - #### setClientSSLConfigurationBuilder

          public void setClientSSLConfigurationBuilder(ClientSSLConfigurationBuilder clientSSLConfigurationBuilder)

    - #### getMessagingHandlers

          public java.util.List<org.apache.synapse.commons.handlers.MessagingHandler> getMessagingHandlers()

    - #### setMessagingHandlers

          public void setMessagingHandlers(java.util.List<org.apache.synapse.commons.handlers.MessagingHandler> messagingHandlers)

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.